namespace _2024._09._20
{
    internal class Program
    {
        static void Main(string[] args)
        {
            List<Tanulok> tanulokLista = new List<Tanulok>();

            using (StreamReader sw = new StreamReader("tanulok.txt"))
            {
                string[] sor = sw.ReadLine().Split(",");
                while (!sw.EndOfStream)
                {
                    sor = sw.ReadLine().Split(",");
                    Tanulok tanulok = new Tanulok(sor[0], int.Parse(sor[1]));
                    tanulokLista.Add(tanulok);
                }
            }

            var mennyi50Felett = tanulokLista.Where(i => i.Eredmeny > 50).Count();
            Console.WriteLine($"Ennyien értek el 50 pont feletti eredményt: {mennyi50Felett}");

            Console.WriteLine($"A pontszámok átlaga: {Math.Round(tanulokLista.Average(i => i.Eredmeny), 2)}");

            var rendezes = tanulokLista.OrderByDescending(i => i.Eredmeny).Take(3);
            Console.WriteLine("Legjobb 3 tanuló:");
            foreach (var elem in rendezes)
            {
                Console.WriteLine($"\t{elem.Nev}: {elem.Eredmeny}");
            } 
        }
    }
}
